
Redmine - Feature #2063

Share version of project and sub-project

2008-10-21 20:31 - Fabio Patricio

Status: Closed Start date: 2008-10-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Possibility of creating a version in the main project and the same be used in sub-projects.

For exemple:

Main project: Test

Sub-project of main project: Sub-test

Create version "Release 1" in project Test and create issue with target version "Release 1" in project Sub-test.

Related issues:

Is duplicate of Redmine - Feature #465: Inheritence of Versions to Subprojects Closed

History

#1 - 2008-10-22 08:15 - Ewan Makepeace

+1

I am stuck as to how to group tasks across projects.

1. With a custom field I can search across projects nicely, but it cannot be updated in Bulk Edit (deal breaker).

2. With target versions I can search across parent and child projects (but not between unrelated projects) but it has odd behaviour, I can bulk edit

within a single project only.

All I want is to label tasks for October, or Novemeber sprint for example, across projects. At the end of October I would like to quickly edit all the

remaining open tasks to push them forward.

If target versions could be shared with subprojects I think that would become the better option, but for now custom fields are narrowly less painful.

#2 - 2008-11-24 15:01 - Sandor Irlanda

+1

I would be glad to have this feature as well.

As emphasized in this forum topic there are 4 thing should be matched to use subproject feature.

And actually for us only the 4th is valid (separate user groups), but - as I cannot prevent users changing others' issues - it became very important.

Sharing target versions would be great.

#3 - 2008-11-24 17:33 - Paul Rivier

there is a patch against current stable here : #465

#4 - 2009-05-25 10:48 - takuro monji

+1 for including this in 0.9.

#5 - 2009-06-24 09:33 - Aniket Upganlawar

+1

#6 - 2009-09-29 03:04 - Eric Davis

- Status changed from New to Closed

- Resolution set to Duplicate

This sounds like a duplicate #465, which I'll be adding soon.  If you could read through the discussion there and comment, I'd really appreciate the
http://www.redmine.org/boards/2/topics/show/2906
https://www.redmine.org/issues/465
https://www.redmine.org/issues/465


help.
